---
# Tasks specific for RedHat systems
- name: "Grafana Server | Check if Grafana repo is already configured"
  stat: path={{ grafana_server_repofile }}
  register: grafana_repofile_result
 
- name: "Grafana Server | Install Grafana repo"
  template:
    src: grafana.repo.j2
    dest: /etc/yum.repos.d/grafana.repo
    owner: root
    group: root
    mode: 0644
  when: not grafana_repofile_result.stat.exists
 
- name: "Grafana Server | Yum install in CentOS"
  yum:
    name: https://s3-us-west-2.amazonaws.com/grafana-releases/release/grafana-{{grafana_server_release}}.x86_64.rpm
  register: grafana_server
  when: not grafana_repofile_result.stat.exists

- name: "Grafana Server | Yum install version CentOS"
  yum:
    name: grafana-{{grafana_server_release}}
    state: present

- name: "Grafana Server | Plugin install alexanderzobnin-zabbix-app"
  command: grafana-cli plugins install alexanderzobnin-zabbix-app
  tags:
    - grafana-server-plugins
  when: grafana_server.changed == True

- name: "Grafana Server | Plugin install grafana-clock-panel"
  command: grafana-cli plugins install grafana-clock-panel
  tags:
    - grafana-server-plugins
  when: grafana_server.changed == True

- name: "Grafana Server | Plugin install grafana-piechart-panel "
  command: grafana-cli plugins install grafana-piechart-panel 
  tags:
    - grafana-server-plugins
  when: grafana_server.changed == True

- name: "Grafana Server | Plugin install jdbranham-diagram-panel"
  command: grafana-cli plugins install jdbranham-diagram-panel
  tags:
    - grafana-server-plugins
  when: grafana_server.changed == True

- name: "Grafana Server | Plugin install vonage-status-panel"
  command: grafana-cli plugins install vonage-status-panel
  notify: grafana-server restart
  tags:
    - grafana-server-plugins
  when: grafana_server.changed == True
